<?php

declare(strict_types=1);

use yii;
?>

<link href="/css/pages/offer.css" rel="stylesheet">

<div id="page_offer" class="container mb-auto py-3">
    <article class="p-5 rounded overflow-hidden">
        <div class="row mb-5 d">
            <div class="col">
                <h3 class="mb-5 text-center"><b>Оферта покупателям</b></h3>
                <h5>
                    <p><b class="mr-1">1</b> Общие условия</p>
                </h5>
                <p class="ml-3"><b>1.1</b> Поставщик предлагает заключить договор купли-продажи потребителю, компании и предпринимателю (далее - покупатель) на описанных ниже условиях</p>
                <p class="ml-3"><b>1.2</b> Договор считается заключенным в момент заказа товара на сайте (skillparts.ru)</p>
                <p class="ml-3"><b>1.3</b> Стороны признают юридическую силу скан-копий подписанных документов, переписки, записей в протоколе работы программ, хранящихся на серверах Торговой площадки</p>
                <p class="ml-3"><b>1.4</b> Условия оферты могут быть изменены, дополнены, в этом случае поставщик высылает покупателю уведомление на согласование в личный кабинет или на почту</p>
                </br>
                <h5>
                    <p><b class="mr-1">2</b> Термины и определения</p>
                </h5>
                <p class="ml-3"><b>Поставщик</b> — компания ООО «СтандартМашинери», либо филиал компании ООО «СтандартМашинери»</p>
                <p class="ml-3"><b>Торговая площадка</b> — ООО «СтандартМашинери», предоставляющий программно-аппаратный комплекс организационных, информационных и технических решений, обеспечивающих взаимодействие поставщика и покупателя через электронные каналы связи</p>
                </br>
                <h5>
                    <p><b class="mr-1">3</b> Условия работы и оплата</p>
                </h5>
                <p class="ml-3"><b>3.1</b> Поставщик обязуется приобрести в собственность товар, заказанный покупателем на сайте, для последующей продажи покупателю, а потребитель обязуется оплатить заказанный Товар</p>
                <p class="ml-3"><b>3.2</b> Цена, количество, наименование заказанного покупателем товара, определяются в момент отправки заказа поставщику</p>
                <p class="ml-3"><b>3.3</b> Покупатель может оплатить заказ или пополнить баланс на сайте. Оплата произведённая на сайте, осуществляется на счёт торговой площадки и учитывается поставщиком как оплата заказа покупателем</p>
                <p class="ml-3"><b>3.4</b> Условия возврата товара отражены и регулируются в личном кабинете покупателя</p>
                <p class="ml-3"><b>3.5</b> Покупатель направляет претензии по исполнению заказа поставщику. В случае неудовлетворения требований, покупатель может информировать торговую площадку на адрес электронной почты info@skillparts.ru</p>
                </br>
                <h5>
                    <p><b class="mr-1">4</b> Предоставление информации</p>
                </h5>
                <p class="ml-3"><b>4.1</b> Покупатель даёт своё согласие поставщику и торговой площадке осуществлять следующие действия с персональными данными: сбор, систематизацию, накопление, хранение, обновление, изменение, деперсонализацию, уничтожение</p>
                </br>
                </br>
                <p> Торговая площадка
                    ООО «СтандартМашинери» ИНН: 2724241607</br>
                    Юридический адрес: 680014, Хабаровский край, г. Хабаровск, ул. Промышленная 3, офис 105</br>
                    АО «Тинькофф Банк», р/с 40702810610000696279, БИК: 044525974</br>
                    Почта: info@skillparts.ru</p>
            </div>
        </div>

        <?php if (!yii::$app->user->isGuest): ?>
        <div class="row mb-0 justify-content-center">
            <a class="col-auto text-center text-white btn button_blue button_clean" href="/offer/accept">Принять</a>
        </div>
        <?php endif ?>
    </article>
</div>
